#!/bin/sh

if ! [ -d venv ]
then python3 -m venv venv
fi

if ! [ -d bin/iris ]
then
    mkdir -p bin/iris
    wget -O  bin/iris/iris.zip https://archive.ics.uci.edu/static/public/53/iris.zip
    ( cd     bin/iris && unzip iris.zip )
    rm       bin/iris/iris.zip
fi

source venv/bin/activate
python3 -m pip install --requirement=requirements.txt
